Catalina : Compatibility Issues

Answered

Comments

4 comments

  • Avatar
    Vita Bergman

    Hi!

    Please note that Luminar 2018, Creative Kit apps and Aurora HDR Express are the legacy apps that are no longer updated.

    Our team has just released a compatibility update for Luminar 3 and will be shipping the same updates for Luminar Flex and Aurora HDR 2019 later this year. Moreover, Luminar 4 will be compatible with Catalina from the initial release.

     

    0
    Comment actions Permalink
  • Avatar
    Poh Fah Chow

    That does not sound very good to the users on the softwares that we have purchased.... Thanks anyway

     

    0
    Comment actions Permalink
  • Avatar
    Martin Reber

    Understood that Creative Kit is considered legacy now.  But since the CK apps are 64 bit, can you confirm if they will install & run on macOS Catalina?

    0
    Comment actions Permalink
  • Avatar
    Margaret Bright

    Hi Martin,

    According to our customers' experience, Creative KIt apps should install and run fine on MacOS Catalina as standalone apps.

    In case any issues occur during the installation, you can always reach out to our support team for assistance via https://skylum.com/support

    0
    Comment actions Permalink

Please sign in to leave a comment.